<template>
  <div v-if="info" class="character-info">
    <div id="name">
      <label>Имя Персонажа</label>
      <label>{{ info['name'] }}</label>
    </div>
    <div id="player-name">
      <label>Имя Игрока</label>
      <label>{{ info['name'] }}</label>
    </div>
    <div id="classes">
      <label>Классы</label>
      <div id="class">
        <div id="title"></div>
        <div id="level"></div>
      </div>
      <div v-if="editable">
        <label>Добавить класс</label>
      </div>
    </div>
    <div id="health-point">
      <label>Хит поинты</label>
      <label>4</label>
    </div>
    <div id="abilities">
      <div id="strength"></div>
      <div id="dex"></div>
      <div id="intelegence"></div>
      <div id="mud"></div>
      <div id="body"></div>
      <div id="charm"></div>
    </div>
    <div id="armor"></div>
    <div id="weapons"></div>
    <div id="spels"></div>
    <div id="inventory"></div>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  props: ['item', 'name', 'editable'],
  data () {
    return {
      info: null
    }
  },
  watch: {
    item () {
      this.getInfo()
    },
    name () {
      this.getInfo()
    }
  },
  mounted () {
    this.getInfo()
  },
  methods: {
    getInfo () {
      let item, name
      if (this.item === undefined) {
        item = this.$route.params.item
      } else {
        item = this.item
      }
      if (this.name === undefined) {
        name = this.$route.params.name
      } else {
        name = this.name
      }
      axios
        .get('/api/' + item + '/' + name)
        .then((res) => {
          this.info = res.data
        })
    },
    onChangeValue (a) {
      let item, name
      if (this.item === undefined) {
        item = this.$route.params.item
      } else {
        item = this.item
      }
      if (this.name === undefined) {
        name = this.$route.params.name
      } else {
        name = this.name
      }
      axios.post('/api/' + item + '/' + name, this.info)
    }
  }
}
</script>

<style>
.character-info {
  display: flex;
  flex-direction: column;
}
.character-info > div {
  display: grid;
  justify-content: space-between;
  grid-template-columns: 50% 50%;
  padding: 1em;
  border-bottom: 1px solid;
}
.character-info > div > *:first-child {
  border-right: 1px solid;
}
</style>